## process this file with automake to produce Makefile.in

QT_MOC               = @QT_BIN@/moc
QT_RCC               = @QT_BIN@/rcc

scdir                = $(datadir)/subcommander

AM_CPPFLAGS          = @APR_CPPFLAGS@ \
                       @STLPORT_INCLUDES@ -I.. @QT_INCLUDES@ @SVN_INCLUDES@ \
                       @APR_INCLUDES@ @APU_INCLUDES@ @NET_INCLUDES@ \
                       @SSL_INCLUDES@ @BOOST_INCLUDES@ @BDB_INCLUDES@
AM_CXXFLAGS          = @MACOSX_UNIVERSAL_CXXFLAGS@
AM_LDFLAGS           = @MACOSX_UNIVERSAL_LDFLAGS@


noinst_LIBRARIES     = libsublib.a

noinst_HEADERS       = AboutDialog.h \
                       BlockInfo.h \
                       ColorStorage.h \
                       ConflictType.h \
                       Cursor.h \
                       DebugSettings.h \
                       DebugSettingsInfo.h \
                       DebugSettingsWidget.h \
                       DragDrop.h \
                       ErrorDialog.h \
                       ExternButton.h \
                       Gui.h \
                       LineConfig.h \
                       LineEnd.h \
                       Line.h \
                       LineTarget.h \
                       MacStyle.h \
                       NullTextModel.h \
                       PaintLineFactory.h \
                       PaintLine.h \
                       PathOps.h \
                       SettingsDialog.h \
                       SettingsInfo.h \
                       SplitLayout.h \
                       StringUtil.h \
                       Tab.h \
                       TextModel.h \
                       TextModelImpl.h \
                       Utility.h \
                       version.in.h \
                       version.out.h \
                       config/Config.h \
                       config/ConfigData.h \
                       config/ConfigFile.h \
                       config/ConfigValue.h \
                       settings/ColorSettings.h \
                       settings/ColorSettingsInfo.h \
                       settings/ColorSettingsWidget.h \
                       settings/LayoutSettings.h \
                       settings/SettingsInfoBase.h


libsublib_a_SOURCES  = AboutDialog.cpp \
                       ActionStorage.h \
                       ActionStorage.cpp \
                       ColorStorage.cpp \
                       CrashHandler.h \
                       CrashHandler.cpp \
                       DebugSettingsInfo.cpp \
                       DebugSettingsWidget.cpp \
                       DragDrop.cpp \
                       ErrorDialog.cpp \
                       ExternButton.cpp \
                       Gui.cpp \
                       IconFactory.h \
                       IconFactory.cpp \
                       Line.cpp \
                       MacStyle.cpp \
                       MsgHandler.h \
                       MsgHandler.cpp \
                       MessageBox.h \
                       MessageBox.cpp \
                       NullTextModel.cpp \
                       PaintLineFactory.cpp \
                       PathOps.cpp \
                       PathSimplifier.h \
                       PathSimplifier.cpp \
                       resources.cpp \
                       SettingsDialog.cpp \
                       Splitter.h \
                       Splitter.cpp \
                       SplitLayout.cpp \
                       StringUtil.cpp \
                       Tab.cpp \
                       TargetId.h \
                       TargetId.cpp \
                       TargetRepository.h \
                       TargetRepository.cpp \
                       TextModelImpl.cpp \
                       Utility.cpp \
                       config/ConfigData.cpp \
                       config/ConfigFile.cpp \
                       config/ConfigValue.cpp \
                       settings/ColorSettingsInfo.cpp \
                       settings/ColorSettingsWidget.cpp \
                       settings/HeaderSettings.h \
                       settings/HeaderSettings.cpp \
                       settings/LayoutSettingsHandler.h \
                       settings/LayoutSettingsHandler.cpp \
                       settings/SettingsInfoBase.cpp \
                       settings/SettingsWidget.h \
                       settings/SettingsWidget.cpp \
                       moc/ErrorDialog_moc.cpp \
                       moc/ExternButton_moc.cpp \
                       moc/DebugSettingsWidget_moc.cpp \
                       moc/SettingsDialog_moc.cpp \
                       moc/Splitter_moc.cpp \
                       moc/settings/ColorSettingsWidget_moc.cpp \
                       moc/settings/SettingsWidget_moc.cpp
                       

moc/%_moc.cpp : %.h
	mkdir -p moc/settings
	$(QT_MOC) $< -o $@

resources.cpp : resources.h
	$(QT_RCC) -name sublib -o $@ ../pics/sublib.qrc

clean-local:
	-rm -rf moc
	-rm resources.cpp

